Bug 221406 - Double free() or corruption
Double free() or corruption
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: slocate (Show other bugs)
4.4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-04 10:13 EST by Matteo Corti
Modified: 2012-06-20 09:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:30:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
valgrind --log-file=/root/updatedb.log updatedb (3.77 KB, text/plain)
2007-01-05 02:20 EST, Matteo Corti
no flags Details
updatedb 2>&1 |tee log (795.68 KB, application/octet-stream)
2007-01-09 04:43 EST, Matteo Corti
no flags Details
TEST_FIX=1 updatedb 2>&1 | tee log2 (795.68 KB, application/octet-stream)
2007-01-09 04:47 EST, Matteo Corti
no flags Details
/etc/mtab (1.32 KB, application/octet-stream)
2007-01-09 04:50 EST, Matteo Corti
no flags Details
updatedb 2>&1 |tee log (795.68 KB, application/octet-stream)
2007-01-10 06:04 EST, Matteo Corti
no flags Details
updatedb 2>&1 |tee log4 (2.07 KB, application/octet-stream)
2007-01-11 06:08 EST, Matteo Corti
no flags Details
Make sure fts_cur is always valid after return from fts_read () (956 bytes, patch)
2007-01-11 06:37 EST, Miloslav Trmač
no flags Details | Diff

  None (edit)
Description Matteo Corti 2007-01-04 10:13:46 EST
Description of problem:


Version-Release number of selected component (if applicable):
slocate-2.7-13.el4.6

How reproducible:
updatedb

Steps to Reproduce:
1. updatedb
  
Actual results:
*** glibc detected *** double free or corruption (top): 0x08553d60 ***

Expected results:
nothing

Additional info:
Comment 1 Miloslav Trmač 2007-01-04 20:45:24 EST
Thanks for your report.

If you are a RHEL customer and have an active support entitlement, please
contact official Red Hat Support at https://www.redhat.com/apps/support/ to
allow correct prioritization of this issue.

Otherwise, please install the valgrind and slocate-debuginfo packages, run the
following commands:
    chmod g-s /usr/bin/updatedb
    valgrind --log-file=updatedb.log updatedb
    chmod g+s /usr/bin/updatedb
and attach the generated updatedb.log* files.
Comment 2 Matteo Corti 2007-01-05 02:20:42 EST
Created attachment 144891 [details]
 valgrind --log-file=/root/updatedb.log updatedb
Comment 3 Miloslav Trmač 2007-01-09 03:50:20 EST
Thanks.  Please install
http://people.redhat.com/mitr/221406/slocate-2.7-13.el4.6.0.mitr.test221406.1.i386.rpm
and:
- run (updatedb 2>&1 |tee log), and attach at least the last 100 lines of the
  generated log output.  This should crash similarly to slocate-2.7-13.el4.6.
- run (TEST_FIX=1 updatedb 2>&1 | tee log2).  This should not crash; if it does,
  please attach at least the last 100 lines of the generated log2 output.

This is only a debugging version of the package, please return to 2.7-13.el4.6
after performing the tests

Please attach the contents of your /etc/mtab as well.
Comment 4 Matteo Corti 2007-01-09 04:43:14 EST
Created attachment 145143 [details]
updatedb 2>&1 |tee log
Comment 5 Matteo Corti 2007-01-09 04:47:26 EST
Created attachment 145144 [details]
TEST_FIX=1 updatedb 2>&1 | tee log2
Comment 6 Matteo Corti 2007-01-09 04:50:13 EST
Created attachment 145145 [details]
/etc/mtab
Comment 7 Matteo Corti 2007-01-09 04:51:39 EST
Thank,
I run the supplied version and it still crashes (even with TEST_FIX=1): see
attachments.
Matteo
Comment 8 Miloslav Trmač 2007-01-10 02:40:46 EST
Thanks.
This demonstrates that the root cause of the problems is that the inode number
of /usr/sepp/Old/pack/openssl-0.9.8c-lp is changing while updatedb is running;
this can't be fixed within slocate. 
http://www.openafs.org/pipermail/openafs-devel/2006-June/013901.html seems to
suggest this is a bug in OpenAFS.

Nevertheless, updatedb shouldn't crash, and I can't figure out why TEST_FIX=1
doesn't work.  Please install
http://people.redhat.com/mitr/221406/slocate-2.7-13.el4.6.0.mitr.test221406.1.i386.rpm
, run (updatedb 2>&1 |tee log), and attach the generated log file.
Comment 9 Matteo Corti 2007-01-10 06:04:31 EST
Created attachment 145246 [details]
updatedb 2>&1 |tee log
Comment 10 Matteo Corti 2007-01-10 06:05:59 EST
Thanks again,

OK. I'll wait to try to fix AFS so that we can reproduce the bug.

Matteo
Comment 11 Miloslav Trmač 2007-01-11 05:10:57 EST
I'm really sorry, I intended to point you to 
http://people.redhat.com/mitr/221406/slocate-2.7-13.el4.6.0.mitr.test221406.2.i386.rpm
(not ...test221406.1.i386.rpm).  Can you attach the log from this version, please?
Comment 12 Matteo Corti 2007-01-11 06:08:13 EST
Created attachment 145331 [details]
updatedb 2>&1 |tee log4 

slocate-2.7-13.el4.6.0.mitr.test221406.2.i386.rpm
Comment 13 Miloslav Trmač 2007-01-11 06:22:21 EST
Thanks.  This version didn't crash, did it?
Comment 14 Matteo Corti 2007-01-11 06:32:18 EST
Sorry I forgot to comment last run.
It didn't crash (although it seems to stop where the problem occurs, i.e., the
last processed entry seems the same).
Matteo
Comment 15 Miloslav Trmač 2007-01-11 06:35:58 EST
Thank you.

Stopping at the problem directory is expected, there is no practical way to
recover from the inode mismatch.
Comment 16 Miloslav Trmač 2007-01-11 06:37:31 EST
Created attachment 145333 [details]
Make sure fts_cur is always valid after return from fts_read ()
Comment 17 RHEL Product and Program Management 2008-02-01 14:10:42 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 18 Jiri Pallich 2012-06-20 09:30:04 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.